org.apache.lucene.queryparser.xml.builders

## Class SpanQueryBuilderFactory

- java.lang.Object
- - org.apache.lucene.queryparser.xml.builders.SpanQueryBuilderFactory

All Implemented Interfaces:
  SpanQueryBuilder, QueryBuilder

    public class SpanQueryBuilderFactory
    extends Object
    implements SpanQueryBuilder

Factory for `SpanQueryBuilder`s

### Constructor Summary

Constructors
Constructor and Description
`SpanQueryBuilderFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addBuilder(String nodeName, SpanQueryBuilder builder)`
`Query` `getQuery(Element e)`
`SpanQuery` `getSpanQuery(Element e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SpanQueryBuilderFactory

    public SpanQueryBuilderFactory()

### Method Detail

#### getQuery

    public Query getQuery(Element e)
                   throws ParserException

Specified by:
  `getQuery` in interface `QueryBuilder`
Throws:
  `ParserException`

#### addBuilder

    public void addBuilder(String nodeName,
                           SpanQueryBuilder builder)

#### getSpanQuery

    public SpanQuery getSpanQuery(Element e)
                           throws ParserException

Specified by:
  `getSpanQuery` in interface `SpanQueryBuilder`
Throws:
  `ParserException`